<p>
  formgroup works!
</p>
<form [formGroup]="profileForm" (ngSubmit)="onSubmit()">
  
    <label>
      First Name:
      <input type="text" formControlName="firstName">
    </label>
  
    <label>
      Last Name:
      <input type="text" formControlName="lastName">
    </label>
  <input type="submit" value="ok">
  </form>